	set more off

	***** Analysis code after cluster decision is made (4 items, 10 cluster solution)
	
	global bionumb =4
	global clusnum = 10
	global clus = 9
	global sumcoefs =  ${bionumb}*3 + 10 +3 
	global biorisk "bio_chol_dum bio_hbA1c_dum bio_crp_dum bio_bp_sys_dum"
	global biocont "bio_chol_ratio bio_hbA1c bio_crp bio_bp_sys"
	global bioint  "i.bio_crp_dum##i.bio_hbA1c_dum##i.bio_chol_dum##i.bio_bp_sys_dum"
	global colscheme "bar(1, color(gs0)) bar(2, color(gs4)) bar(3, color(gs8)) bar(4, color(gs12))"
	*global clegend  `"legend( order(1 "Cholesterol" 2 "hbA1c" 3 "CRP" 4 "BP (Sys)") region(lcolor(white)) row(1))"'
	global clegend  `"1 "1 RF" 2 "2 RF" 3 "3 RF" 4 "4 RF" 6 "Chol-Ratio" 7 "hbA1c" 8 "CRP" 9 "BP(Sys)" 11 "Chol-Ratio" 12 "hbA1c" 13 "CRP" 14 "BP(Sys)" 20.5 "RP""'
						
	global controls "i.gender i.race c.begin_age##c.begin_age"
	
	
	
	***************************
	**** LOOP OVER         ****
	**** 1) Gender and AGE ****
	**** 2) CVD_MORT       ****
	**** 3) EXCL. CRP 10+  ****
	***************************
	
	foreach gender in my wy mo wo tot {
		foreach crpout in out in {
			foreach mort in cvd all {
				clear mata
				
				
					
					if "`crpout'" == "out" {
						use "${BIO}DR-biomarker-post-9out.dta", clear                                                                                                                                       
					}
					else if "`crpout'" == "in" {
						use "${BIO}DR-biomarker-post-9.dta", clear
					}
				
				
				
				
				recode gender (2=0),gen(male)
				gen bio_crp = exp(bio_crp_log)
				recode bio_crp (min/2.9999 =0 "low") (3/max =1 "high"),gen(bio_crp_dum)
				label variable bio_crp_dum "High CRP (>=3.0 ug/mL)"
				recode bio_hbA1c (min/6.399999999999 =0 "low") (6.4/max =1 "high"),gen(bio_hbA1c_dum)
				label variable bio_hbA1c_dum "High hbA1c (>=6.4%)"
				recode bio_bp_sys (min/139=0) (139.0000005/max=1), gen(bio_bp_sys_dum)
				label variable bio_bp_sys_dum "High risk systolic BP (>139)"
				recode bio_chol_ratio  (min/4.99999999 =0) (5/max = 1) if gender ==1,gen(bio_chol_dum)
				recode bio_chol_ratio  (min/4.49999999 =0) (4.5/max = 1) if gender ==2,gen(bio_chol_dum2)
				replace bio_chol_dum = bio_chol_dum2 if gender ==2
				drop bio_chol_dum2
				label variable bio_chol_dum "High ratio of TC to HDL (>5)"
	
	
	
	
	
				
				
					if "`gender'" == "my" {
						keep if gender ==1 & age_cat ==1 
					}
					else if "`gender'" == "wy" {
						keep if gender ==2 & age_cat ==1 
					}
					else if "`gender'" == "mo" {
						keep if gender ==1 & age_cat ==2 
					}
					else if "`gender'" == "wo" {
						keep if gender ==2 & age_cat ==2 
					}
					else if "`gender'" == "tot" {
						
					}
				
				
				
				
				
				
				*** generate heuristic fromm all possible combinations of risk factors
				gen bio_heu = 1000*bio_chol_dum + 100*bio_hbA1c_dum + 10*bio_crp_dum + bio_bp_sys_dum
				
					
					rename group_wards_sd_9 group_wards4_sd_9	
					
					
					
					
					egen bio_index4 = rowtotal(bio_chol_dum bio_hbA1c_dum bio_crp_dum bio_bp_sys_dum)

					recode bio_index4 (4=3),gen(bio_index4_rec)
					
					recode death_ever2 (1 2 = 1) (0=0),gen(death_all)
					
					if "`mort'" == "all" {
						mi stset end_age if begin_age >=50 [pweight=hrs_weight],  enter(begin_age) failure(death_all==1) 
					}
					else if "`mort'" == "cvd" {
						mi stset end_age if begin_age >=50 [pweight=hrs_weight],  enter(begin_age) failure(death_ever2==2) 
					}
					

					
						
					
					
				
						
						

						global bn = ${bionumb}+1
						global bn2 = $bn
						
						**** linear prediction from empty model
						mi estimate, post  imputations(1/30): stcox   $controls  ,
						predict eta_empty,xb
						**** linear prediction from full model without profiles
						*mi estimate, post  imputations(1/30): stcox    $bioint $biocont $controls,
						*predict eta_full,xb
						
						
						
						
						
						*****************************************
						***** all predictions separately   ******
						*****************************************
						
						**** index
						*set trace on
						mi estimate, post  imputations(1/30): stcox  i.bio_index4 $controls  ,nohr
						predict eta_index,xb
						est store index`gender'_`crpout'_`mort'
						
						
						mat A = e(b)
						mat V = e(V)
						mata: HR_${bionumb}  = st_matrix("A")[1,2..$bn]',sqrt(diagonal(st_matrix("V"))[2..$bn]) \.,. 
						
						**** biomarker risk factors
						mi estimate, post  imputations(1/30): stcox  $biorisk $controls  ,nohr
						predict eta_risk,xb
						est store risk`gender'_`crpout'_`mort'
						
						mat A = e(b)
						mat V = e(V)
						mata: HR_${bionumb}  = HR_${bionumb} \ st_matrix("A")[1,1..${bionumb}]',sqrt(diagonal(st_matrix("V"))[1..${bionumb}]) \.,.
						
						
						
						**** biomarker continuous 
						mi estimate, post  imputations(1/30):stcox  $biocont  $controls  ,
						predict eta_cont,xb
						est store cont`gender'_`crpout'_`mort'
						
						mat A = e(b)
						mat V = e(V)
						mata: HR_${bionumb}  = HR_${bionumb} \ st_matrix("A")[1,1..${bionumb}]',sqrt(diagonal(st_matrix("V"))[1..${bionumb}]) \.,.
						mata: B = J($clusnum,2,.)
						mata: HR2_${bionumb}= HR_${bionumb}
						mata: HR_${bionumb} = HR_${bionumb} \ B
						*set trace on
						count if male !=.
						*local tot = `r(N)'
						*local sumcoefs =  ${bionumb}*3 + 10 +3 
						mata: HR_cond${bionumb} = J($sumcoefs,2,.)
						
						
						
						mi estimate, post  imputations(1/30):stcox  b1i.group_wards${bionumb}_sd_$clus $controls ,
						est store clus`gender'_`crpout'_`mort'		
								**** linear prediction from empty model plus profiles
								predict eta_empty$clus,xb
								*set trace on
								global mc = $clus
								global mc2 = ${bionumb}*2+$clus
								global empty = $clusnum-$clus
								mata: B$clus = J(${empty},2,.)
								mat A = e(b)
								mat V = e(V)
								mata: HR_${bionumb}  = HR_${bionumb}, (HR2_${bionumb} \ st_matrix("A")[1,1..${mc}]',sqrt(diagonal(st_matrix("V"))[1..${mc}])\ B$clus )
								
								
								mi estimate, post  imputations(1/30):stcox  $biorisk $biocont b1i.group_wards${bionumb}_sd_$clus  $controls ,
								est store cond2`gender'_`crpout'_`mort'
								
								
								predict eta_all_risk, xb
								mat A = e(b)
								mat V = e(V)
								**** estimating mortality prediction controlled for biomarker level and risk profiles for the index (excluding risk factors as they are simply a linear combination)
								mi estimate, post  imputations(1/30):stcox  i.bio_index${bionumb} $biocont b1i.group_wards${bionumb}_sd_$clus  $controls ,
								predict eta_all_index, xb
								est store cond1`gender'_`crpout'_`mort'
								mat C = e(b)
								mat D = e(V)
								mata: C = J(${bionumb},2,.)
								mata: HR_cond${bionumb}  = HR_cond${bionumb}, ((st_matrix("C")[1,2..${bionumb}+1]',sqrt(diagonal(st_matrix("D"))[2..${bionumb}+1])) \.,.\  ///
												 (st_matrix("A")[1,1..${bionumb}]',sqrt(diagonal(st_matrix("V"))[1..${bionumb}])) \.,.\   ///
												 (st_matrix("A")[1,$bn..${bionumb}*2]',sqrt(diagonal(st_matrix("V"))[$bn..${bionumb}*2])) \.,.\   ///
												 (st_matrix("A")[1,${bionumb}*2+1..${mc2}]',sqrt(diagonal(st_matrix("V"))[${bionumb}*2+1..${mc2}])\ B$clus ))
						
						
						
						
						******heuristic  ******
						mi estimate, post  imputations(1/30):stcox  b0i.bio_heu $controls ,
						predict eta_heu
						est store heu`gender'_`crpout'_`mort'	
						
						
						****************************
						***** MINUS 1 MODELS *******
						****************************
						
						***** without heuristic conditional model *******
						mi estimate, post  imputations(1/30):stcox   $biocont b1i.group_wards${bionumb}_sd_$clus  $controls ,
						predict eta_minus_heu
						
						***** without risk profiles conditional model *******
						mi estimate, post  imputations(1/30):stcox  $biorisk $biocont   $controls ,
						predict eta_minus_$clus
						
						***** without risk factors conditional model *******
						mi estimate, post  imputations(1/30):stcox  $biocont b1i.group_wards${bionumb}_sd_$clus  $controls ,
						predict eta_minus_risk
						predict eta_minus_index
						
						***** without continuous conditional model *******
						mi estimate, post  imputations(1/30):stcox  $biorisk b1i.group_wards${bionumb}_sd_$clus  $controls ,
						predict eta_minus_cont
						
						
						
						***** heuristic conditional model *******

						mi estimate, post  imputations(1/30):stcox   $biocont b1i.group_wards${bionumb}_sd_$clus b0i.bio_heu $controls ,
						est store cond3`gender'_`crpout'_`mort'
						predict eta_all_heu
						
						esttab index`gender'_`crpout'_`mort' risk`gender'_`crpout'_`mort'  cont`gender'_`crpout'_`mort' clus`gender'_`crpout'_`mort' heu`gender'_`crpout'_`mort' using "${TABLES}DR-alone-`gender'-`crpout'-`mort'-9.rtf", rtf replace ci b(2) eform compress bic(%11.0g) wide nostar
						esttab cond1`gender'_`crpout'_`mort' cond2`gender'_`crpout'_`mort' cond3`gender'_`crpout'_`mort' using "${TABLES}DR-cond-`gender'-`crpout'-`mort'-9.rtf", rtf replace ci b(2) eform compress bic(%11.0g) wide nostar
						
						mata: comb_${bionumb} = (HR_${bionumb}[1..$sumcoefs,3..4], J($sumcoefs,1,0)) \(HR_cond${bionumb}[1..$sumcoefs,3..4], J($sumcoefs,1,1))
						
						preserve
							foreach X in risk cont empty$clus cont heu all_risk all_index all_heu minus_risk minus_index minus_risk minus_cont minus_$clus {
								egen nn = mean(eta_`X'),by(newid)
								replace eta_`X' = nn if eta_`X' ==. & _mi_m ==0
								drop nn
								drop if eta_`X' ==. & _mi_m ==0
							}
							
							keep if _mi_m ==0
							rename _d death
							saveold "${BIO}clus-eta${bionumb}-`gender'-`crpout'-`mort'-DR.dta",replace version(12)
						restore
						
						
						
				
						
					}
				}	
			}


