

****************************
****** ADDING HRS DATA *****
****************************

use "${TEMP}hrs_combined.dta", clear


gen  double newid = hhidpn

gen death_ever2 =.

replace death_ever2 = 1 if death_ever ==1 & study ==2 & hrs_death_cvd!=.
replace death_ever2 = 0 if death_ever ==0 & study ==2 
replace death_ever2 = 2 if death_ever ==1 & study ==2 & hrs_death_cvd==1

rename  BIOWGTR hrs_weight


keep  newid  hhidpn year hrs_myear  educ rabyear  t hrs*  begin* end* death_ever*  gender  bio_*  *_weight race  sgender




foreach X in $bio_same {
	cap drop bla
	gen bla = `X' if study ==2 & year == begin
	cap drop bla2
	egen bla2 = mean(bla) if study ==2, by(hhidpn)
	replace `X' = bla2 if study ==2
}

***************************************************
****** MAKING A CROSS-SECTIONAL FILE HRS DATA *****
***************************************************
keep if begin ==year



cap drop bio_all
egen bio_all = rownonmiss($same_bio)

drop if bio_all ==0

recode $same_bio (min/-1 =.)


keep if begin_age >=50


recode educ (0/3= 0 "no college") (4/5 =1 "(some) college"),gen(college)
*recode bio_bmi (0/13=.) (50/max=.)

bio_cut_off
**** cut offs taken from the HRS documentation
	
save "${BIO}biomarker_analysis-DR.dta", replace

