
bio.path <- c("H:/OwnCloud/Articles/BIO-CVD/data/") 

source("BIO-DR-Functions.R")
setwd(bio.path)
hrs.data <-  read.dta(paste0("clus-eta4-DR2.dta"),convert.factors = FALSE)
attach(hrs.data)

etas.profiles <- list(eta4_empty,eta4_empty3,eta4_empty4,eta4_empty5,eta4_empty6,eta4_empty7,eta4_empty8,eta4_empty9,eta4_empty10
                      ,eta4_empty11,eta4_empty12,eta4_empty13,eta4_empty14,eta4_empty15,eta4_empty16,eta4_empty17,eta4_empty18,eta4_empty19,eta4_empty20)
names(etas.profiles) <- c("Empty","3 Profiles","4 Profiles", "5 Profiles","6 Profiles","7 Profiles","8 Profiles","9 Profiles","10 Profiles",
                          "11 Profiles","12 Profiles", "13 Profiles","14 Profiles","15 Profiles","16 Profiles","17 Profiles","18 Profiles","19 Profiles","20 Profiles")

etas.all <- NULL
etas.all$eta4 <- NULL
#etas.all$eta4$Profiles <- etas.profiles
etas.all$eta4$etas <- etas.profiles
names(etas.all$eta4) <- c("Profiles")






sc <- 1
linetypes <- rep(c(1,2), times=10)


lapply(seq_along(etas.all$eta4), function(k){graph.it(etas.all$eta4[[k]], names(etas.all$eta4)[[k]])})










sc <-1
pdf("auc.muha.pdf",width=16,height=9,pointsize=12*sc)
mar.default <- c(5,4,4,2) + 0.1
par(mar = mar.default + c(0, 1.2, 0, 0)) 
xrange <- range(c(55,80))
yrange <- range(c(0.5,1))
plot(xrange, yrange, type="n", xlab="Age (years)",
     ylab="AUC",cex.lab=3, cex.axis=2, cex.main=2, cex.sub=2 )



lapply(seq_along(auc.age.profiles), function(i){plot.auc(auc.age.profiles[[i]], i)})

abline(0.5,0)
legend(xrange[1], yrange[2], cex=1.8, col=(1:length(auc.age.profiles)),
       lwd=6, lty=c(1,2), seg.len=3,
       legend=names(auc.age.profiles), bty="n") 
dev.off()
