


local waves "V W X Y"
local i = 1
foreach X in 08 10 12 14 {
	use "${HRS}/X`X'A_R.dta",clear
	local w = substr("VWXY",`i',1)
	keep `w'A121 `w'A123 HHID PN `w'A133M1M `w'A133M2M

	rename `w'A121 mnthdeath20`X'
	rename `w'A123 yrdeath20`X'
	rename `w'A133M1M hrs1_cause20`X'
	rename `w'A133M2M hrs2_cause20`X'

	save "${HRS}exit`X'.dta", replace
	local ++i

}


	
use "${HRS}exit08.dta", clear


foreach X in 10 12 14 {
	merge 1:1 HHID PN using "${HRS}exit`X'.dta", nogenerate
}

reshape long yrdeath mnthdeath hrs1_cause hrs2_cause , i(HHID PN) j(syear)


*** generate combined HHID and PN like in the RAND file
destring HHID, replace
destring PN, replace
gen double hhidpn = 1000*HHID+PN

recode mnthdeath (98/max=.)
recode yrdeath (9000/max=.)
recode hrs1_cause hrs2_cause (900/max=.)

recode hrs1_cause (120/129 =1) (1/119 130/max=0),gen(hrs_death_cvd)
replace hrs_death_cvd = 1 if hrs2_cause >=120 & hrs2_cause <=129 
keep if yrdeath >=2006

**** wide formate ***
foreach X in yrdeath mnthdeath hrs_death_cvd hrs1_cause {
	egen bla = max(`X'), by(hhidpn)
	replace `X'=bla
	drop bla
}
keep if syear==2008
keep hhidpn  hrs_death_cvd hrs1_cause hrs2_cause

compress
save "${HRS}hrs_exit.dta", replace


