*********************************
* Hannes Kröger					*
* master file 2018/03/22		*
* 								*
* BIO-CVD       Masterfile for  *
* data preparation HRS          *
* biomarker data and death      *
* etrial run for restricted data*
* 				   				*
*********************************



set more off

clear matrix
clear all
set maxvar 20000
set more off
cap log close 

version 14.2


 
  global DROPBOX          ""
  global LOCAL            ""
  global HRS            ""
  global BIO            ""

 

global same_bio "bio_hbA1c bio_hdl bio_crp  bio_tc bio_hdl bio_bmi"

***iMAC


***path for the sensitive health data
global sens     ""

*path for the do-files
global DO     ""    // do-files
*temprary path
global TEMP       ""
global GRAPHS     ""    // graphs
global TABLES       ""    //tables


**** some globals used later in the analyses
global biofour "bio_chol_ratio bio_hbA1c bio_crp_log bio_bp_sys"
global biolist "bio_tc bio_hdl bio_bmi bio_crp bio_hbA1c bio_bp_sys bio_bp_dia"
global controls "i.gender i.race c.begin_age##c.begin_age"



* graph code
global graphstandard "graphregion(color(white) fcolor(white) icolor(white))"
     
***************
*** PROGRAM ***
***************
  do "${DO}BIO-DR-Progs.do"  
 
*******************************
**** HRS  data preparation ****
*******************************
 do "${DO}BIO-DR-HRS-Exit.do"
 do "${DO}BIO-DR-HRSBiomarker.do"
 do "${DO}BIO-DR-HRSEducationMortality.do"
 
 
 do "${DO}BIO-DR-Biomarker.do"
 
*******************
**** Analyses  ****
*******************
*clustering
 do "${DO}BIO-DR-Cluster.do"
 *determine number of clusters
  do "${DO}BIO-DR-ClusterNR.do"
  *********************************************
  * RUN R-FILE "BIO-DR-ClusterNR-AUC.R"   *****
  *********************************************
  
  * Multiple imputation
  do "${DO}BIO-DR-MI.do"
  
  * final regression analyses
  do "${DO}BIO-DR-Analyses-Fixed.do"
  * calculation of AUC values in R
   *********************************************
  * RUN R-FILE "BIO-DR-SurvivalROC.R"   *****
  *********************************************

    * Descriptives and graphs
  do "${DO}BIO-DR-Descriptives.do"
