

lib="H:/OwnCloud/R-Packages/"
#bio.path <- c("/Users/Lea/ownCloud/Articles/BIO-CVD/data/") 
bio.path <- c("H:/OwnCloud/Articles/BIO-CVD/data/") 

graphs.path <- c("/Users/Lea/ownCloud/Articles/BIO-CVD/[DR]/graphs/")



require(survival, lib.loc=lib)
require(risksetROC, lib.loc=lib)
library(foreign)
library(MASS)



r.path <- c("H:/OwnCloud/do/OWN/BIO-CVD/BIO-CVD/")
setwd(r.path)
################################
###### load functions  #########
################################
source("BIO-DR-Functions.R")




data.list <- c("tot-in-all","tot-out-all","my-in-all","my-out-all","wy-in-all","wy-out-all","mo-in-all","mo-out-all","wo-in-all","wo-out-all",
               "tot-in-cvd","tot-out-cvd","my-in-cvd","my-out-cvd","wy-in-cvd","wy-out-cvd","mo-in-cvd","mo-out-cvd","wo-in-cvd","wo-out-cvd")
data.list2 <- c("tot_in_all","tot_out_all","my_in_all","my_out_all","wy_in_all","wy_out_all","mo_in_all","mo_out_all","wo_in_all","wo_out_all",
               "tot_in_cvd","tot_out_cvd","my_in_cvd","my_out_cvd","wy_in_cvd","wy_out_cvd","mo_in_cvd","mo_out_cvd","wo_in_cvd","wo_out_cvd")
etas.all <- lapply(data.list, FUN=load.data)
names(etas.all) <- data.list



##################################################################################
#### SCHRITTE ###
#### X1) function to load all versions of the data sets into list ###
#### X2) name data list
#### X3) all etas in one list ####
###  X4) Name list ####
###  X5) run graph.it over all data sets###
###  X6) bring list of mean vectors into data.frame ####
###  X7) export data.frame as table ####
##################################################################################


sc <- 1
linetypes <- rep(c(1,2), times=7)
avs <- lapply(seq_along(etas.all), function(k){graph.it(etas.all[[k]], names(etas.all)[[k]])})

names(avs) <- data.list2

avs.data <- as.data.frame(t(matrix(unlist(avs), nrow=length(unlist(avs[1])))))
row.names(avs.data) <- data.list2
names(avs.data) <- names(etas.all$`tot-in-all`)
write.csv2(avs.data, file = "avs.data.csv", sep = ";",dec = ",")
write.dta(avs.data, "AUCs.dta")






